Subject: devel-digest V2 #191
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Tuesday, June 8 1999           Volume 02 : Number 191

In this issue:

    Email anti virus checkers?
    Re: Email anti virus checkers?
    Re: Email anti virus checkers?
    Re: floatlib.c
    Re: Email anti virus checkers?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Mon, 7 Jun 1999 13:28:20 +0100 (GMT)
From: Alex Holden <[email-masked]>
Subject: Email anti virus checkers?

Has anyone got any kind of anti virus email scanner running on Arm Linux? 
We are willing to pay for it, the problem is that all the scanners I've
seen are proprietory ones which only run on Intel. For that matter, does
anyone know of any Open Source email anti virus scanners, or platform
independant ones written in something like Python, Perl, or Java?

Thanks, Alex.

- --------------- Linux- the choice of a GNU generation. --------------
: Alex Holden (M1CJD)- Caver, Programmer, Land Rover nut, Radio Ham :
- -------------------- http://www.linuxhacker.org/ --------------------

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 07 Jun 1999 12:17:51 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Email anti virus checkers?

Alex Holden wrote:
> Has anyone got any kind of anti virus email scanner running on Arm Linux?

Has anyone found an ARM virus/trojan yet?
[I don't know of any open/free virus checker.]

- --
Andrew E. Mileski - Software Engineer [Wizard of OS]
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: 7 Jun 1999 21:30:00 GMT
From: "Andrew Coles" <[email-masked]>
Subject: Re: Email anti virus checkers?

> Has anyone found an ARM virus/trojan yet?
> [I don't know of any open/free virus checker.]
> 
Not for years - there were some on Acorn RISC OS (ARM based).

What platform of virus scanner were you looking for - something which runs
under Linux and checks Linux binaries for viruses, or something which
checks source code / foreign binaries? Come to think of it - a virtualised
PC would be the ideal virus-scanner zone if you were really paranoid -
spawn a virtual pc, run the software and see if it breaks anything. Just a
thought.

Regards

Andrew

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: 7 Jun 1999 21:30:01 GMT
From: "Andrew Coles" <[email-masked]>
Subject: Re: floatlib.c

<snip> 

> What work are you planning to do, exactly?  The SoftFloat-based
> library might be a better place to spend your efforts; last time I
> looked at the various bits of FP emulation provided with gcc
> (floatlib, fp-bit and so on) I don't think they provided full IEEE
> semantics.
> 
> p.

I was going to look at the code and see if there are any bits of C code
which could benefit from assembler code making full use of the ARM
instruction set (like, combining shifts & adds etc.) as the gcc optimizer,
although quite good, is still not as good as hand-written optimized
assembler. I was going to focus on the core functions that were called a
lot - stripping out the mantissa / exponent,
addition/subtraction/multiplication/division.

Comments/suggestions? Thanks for showing an interest BTW

Andrew

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 07 Jun 1999 17:45:23 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Email anti virus checkers?

Andrew Coles wrote:
> Come to think of it - a virtualised
> PC would be the ideal virus-scanner zone if you were really paranoid -
> spawn a virtual pc, run the software and see if it breaks anything. Just a
> thought.

Sounds great!  When can we expect you to deliver it? :p

- --
Andrew E. Mileski - Software Engineer [OSmosis]
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #191
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.